🚧 [Experimental] Create REST catalog
Creates a REST catalog and returns an asynchronous operation. Use getLakehouseOperation in LakehouseOperations with the returned operation ID until done is true, then inspect error or response.
Request
POST
https://api.datalens.tech/rpc/createRestCatalog
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"bucketSettings": {
"storageClass": "STANDARD",
"maxSize": "example",
"alias": "example",
"description": "example"
}
}
|
Name |
Description |
||||||||
|
bucketSettings |
Type: object
Settings of the REST catalog bucket. Example
|
||||||||
|
cloudEnvironmentId |
Type: string ID of the cloud environment in which to create the REST catalog. Min length: Max length: Example: |
||||||||
|
name |
Type: string Name of the REST catalog. Max length: Pattern: Example: |
||||||||
|
description |
Type: string Description of the REST catalog. Max length: Example: |
||||||||
|
labels |
Type: object
REST catalog labels. Example
|
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdBy": "example",
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"done": true,
"metadata": {},
"error": {
"code": 0.5,
"message": "example",
"details": [
null
]
},
"response": {}
}
|
Name |
Description |
||||||
|
done |
Type: boolean Whether the operation has completed. |
||||||
|
id |
Type: string Unique ID of the operation. Example: |
||||||
|
metadata |
Type: object
Service-specific operation metadata. Example
|
||||||
|
createdAt |
Type: object
Time when the operation was created. Example
|
||||||
|
createdBy |
Type: string ID of the operation creator. Example: |
||||||
|
description |
Type: string Description of the operation. Example: |
||||||
|
error |
Type: object
Operation error, if the operation failed. Example
|
||||||
|
modifiedAt |
Type: object
Time when the operation was last modified. Example
|
||||||
|
response |
Type: object
Service-specific operation response. Example
|